:root {
    --background-color: rgb(255, 255, 255);
    --background-color2: #95d5b2;
    --title-color: rgb(255, 255, 255);
    --text-color: rgb(0, 0, 0);
    --accent-color: rgb(32, 185, 32);
    --accent-color-translucent: rgba(32, 185, 32, 0.25);
    --glow-color: rgb(0, 255, 0);
    --highlight-color: rgb(219, 255, 204);
    --frosted-glass-color: rgba(255, 255, 255, 0.15);
    --background: linear-gradient(45deg, var(--background-color), white);
    --title-font: "Space Grotesk", sans-serif;
    --text-font: "Varela Round", sans-serif;
}

html, body{
    margin: 0;
    padding: 0;
}

h1, h2, h3{
    font-family: var(--title-font);
}

h4, h5, h6, p, label, a{
    font-family: var(--text-font);
}

#navbar{
    z-index: 3;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: var(--background-color);
    border-bottom: 0px solid var(--accent-color);
}

#navbar a{
    text-decoration: none;
    color: var(--text-color);
    padding: 15px 20px;
    float: right;
    font-family: var(--text-font);
}

#top-div{
    padding-top: 50px;
    padding-bottom: 8px;
    background-color: #e0f7ec;
    display: flex;
    flex-direction: column;
}

#resource-directory-title{
    margin-left: 7%;
}

#search-bar{
    max-width: 80%;
    height: 30px;
    font-size: 1.18em;
    border-radius: 35px;
    padding: 10px 1% 10px 50px;
    margin: 0 7% 30px;
    background-image: url('/assets/icons/search-icon.png');
    background-repeat: no-repeat;
    background-size: auto 35%;
    background-position: 20px 15px;
    background-color: white;
    background-blend-mode: normal;
}

#search-bar::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(./assets/photos/science-academy.webp);
    background-size: cover;
    filter: brightness(30%);
    z-index: -1;
}

#main-layout {
    display: flex;
    align-items: flex-start;
}

#resource-list-container{
    margin-left: 0;
    margin-top: 8px;
    flex: 1;
    padding: 0 16px;
}

#resource-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, 282px);
    gap: 32px;
    justify-content: center;
    padding: 20px 0 0;
    margin: 0;
    list-style: none;
}

#resource-list li{
    border: 1px solid #ccc;
    padding: 15px;
    width: 282px;
    height: 390px;
    border-radius: 20px;
    box-sizing: border-box;
    cursor: pointer;
    transition: transform 0.3s ease-out;
    overflow: hidden;
}

#resource-list li:hover{
    transform: translateY(-10px);
}

#resource-list li img{
    width: 100%;
    height: 125px;
    object-fit: cover;
    padding-bottom: 18px;
    border-radius: 20px;
}

#resource-list li a{
    text-decoration: none;
    color: #059655;
    font-weight: bold;
    font-size: 1.75em;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

#resource-list li p{
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-size: 1em;
    margin-bottom: 6px;
}

#resource-list li .tag{
    display: inline-block;
    padding: 5px;
    margin: 3px;
    border-radius: 10px;
    font-size: 0.75em;
}

.pending{
    color: #ff0000;
}

#filter-container{
    min-height: 100%;
    padding-right: 1%;
    border-right: 1px solid #ccc;
    flex: 0 0 14%;
    padding: 16px;
}

.filter-group-title{
    margin-bottom: 0;
    padding-bottom: 10px;
}

.filter-options label{
    display: block;
    padding-bottom: 5px;
    max-width: 25ch;
    overflow: hidden;
    text-overflow: ellipses;
}

#filter-container h2{
    margin: 0 auto;
}

@media screen and (max-width: 750px){
    #main-layout{
        flex-direction: column;
    }
    #filter-container{
        border: none;
        flex-grow: 1;
        min-width: calc(100vw - 32px);
        border-bottom: 1px solid #ccc;
        background-color: #fafafa;
    }
    #resource-list-container{
        flex-grow: 1;
        min-width: calc(100vw - 32px);
    }
}


hr{
    margin: 0;
}


footer{
    background-color: #f7f7f7;
    clear: both;
}

.footer-container{
    max-width: 1200px;
    margin: 50px auto 0;
    padding: 10px 5% 30px;
}

.footer-content{
    display: flex;
    justify-content: space-between;
    gap: 60px;
    align-items: flex-start;
}

.footer-logo{
    flex: 1;
    min-width: 220px;
}

.footer-logo img{
    width: 100px;
}

.footer-links{
    flex: 1;
    min-width: 150px;
}

.footer-disclaimer{
    flex: 2;
    min-width: 80px;
}

.footer-links-list{
    list-style: none;
    padding: 0;
    margin: 10px 0 0;
    gap: 10px;
    display: flex;
    flex-direction: column;
}

.footer-links-list a {
    text-decoration: none;
    color: var(--text-color);
}

.footer-links-list a:hover {
    color: var(--accent-color);
}

.footer-bottom {
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid #ddd;
    text-align: center;
    font-size: 0.9em;
    color: #555;
}

@media screen and (max-width: 750px) {
    .footer-content {
        flex-direction: column;
        gap: 40px;
    }
}